POST /papi/v1/ramp/connect/sell/payment-method-list
Request Body
Field
Type
Mandatory
Remarks
fiatCurrency
string
Yes
fiat currency
cryptoCurrency
string
Yes
crypto currency
totalAmount
string
Yes
Requested amount
amountType
int
Yes
Specify whether the total amount is in fiat:1 or crypto:2
language
string
No
Language code, which determines the multi-language of the content(if any, such as "payment method name") in the response data. If not passed, English is the default. The format is "LanguageCode-RegionCode", RegionCode is optional.
Response Body
Data
Field
Type
Remarks
paymentMethods
object array
Payment methods. Refer to PaymentMethodObject
PaymentMethodObject
Field
Type
Remarks
payMethodCode
string
payment method code
payMethodSubCode
string
payment method sub code
paymentMethod
string
payment method display name
fiatMinLimit
string
fiat min amount limit
fiatMaxLimit
string
fiat max amount limit
cryptoMinLimit
string
crypto min amount limit
cryptoMaxLimit
string
crypto max amount limit
p2p
bool
Indicate whether the payment method belongs to Binance P2P
"SELL_WALLET" is a special payment method that allows users to sell crypto for fiat currency
balances in their Binance wallets.
For example, in some countries or regions, Binance supports users to deposit and withdraw fiat
currencies (such as euro - EUR) directly. At this time, users can sell crypto for EUR (in Binance
wallet). We call this payment method as "SELL_WALLET".